"""
Module for manipulating files generated by Portico.

"""
import pandas as pd

def get_emails(file_name):
    """
    Extract all emails from a Portico student list.

    Arguments
    ---------
    file_name : str
        Name of the Portico generated csv file.
    Returns
    -------
    emails_df : Pandas DataFrame
        List of emails as a pandas DataFrame

    """
    emails_df = pd.read_csv(file_name,skiprows=[0,1,2,3],usecols=[11],header=None)
    emails_df = emails_df.rename(columns = {11:"Email"})
    return emails_df

